com.sun.syndication.io

## Interface DelegatingModuleParser

All Superinterfaces:
  ModuleParser

    public interface DelegatingModuleParser
    extends ModuleParser

Adds the ability to give a direct wire feed reference to plugin modules that need to call back to their wire feed to complete parsing of their particular namespace. Examples of such parsers include the SSE091Parser.

### Method Summary

Methods
`void` `setFeedParser(WireFeedParser feedParser)` Provides a parent wirefeed reference to this ModuleParser, or "plugin-in".

### Methods inherited from interface com.sun.syndication.io.ModuleParser

`getNamespaceUri, parse`

### Method Detail

#### setFeedParser

    void setFeedParser(WireFeedParser feedParser)

Provides a parent wirefeed reference to this ModuleParser, or "plugin-in".

Parameters:
  `feedParser` - the parent wirefeed parser for this plugin.